BitMagic-C++: Data Fields

BitMagic-C++

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - f -

- filter() : bm::sparse_vector< Val, BV >
- find() : bm::bv_ref_vector< BV > , bm::bvector< Alloc >
- Find() : DNA_FingerprintScanner
- find_bit_best_encoding() : bm::serializer< BV >
- find_bit_best_encoding_l5() : bm::serializer< BV >
- find_effective_sub_block_size() : bm::aggregator< BV >
- find_eq() : bm::sparse_vector_scanner< SV >
- find_eq_str() : bm::sparse_vector_scanner< SV >
- find_eq_with_nulls() : bm::sparse_vector_scanner< SV >
- find_eq_with_nulls_horizontal() : bm::sparse_vector_scanner< SV >
- find_first_and_sub() : bm::aggregator< BV >
- find_first_eq() : bm::sparse_vector_scanner< SV >
- find_first_mismatch() : bm::bvector< Alloc >
- find_gap_best_encoding() : bm::serializer< BV >
- find_nonzero() : bm::sparse_vector_scanner< SV >
- find_range() : bm::bvector< Alloc >
- find_rank() : bm::bvector< Alloc > , bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- find_reverse() : bm::bvector< Alloc >
- find_zero() : bm::sparse_vector_scanner< SV >
- FindAggFused() : DNA_FingerprintScanner
- FindCollection() : DNA_FingerprintScanner
- finish_ : bm::chrono_taker
- first() : bm::bvector< Alloc > , bm::pair< First, Second >
- flip() : bm::bvector< Alloc > , bm::bvector< Alloc >::reference
- flush() : bm::bit_out< TEncoder > , bm::bvector< Alloc >::bulk_insert_iterator , bm::rsc_sparse_vector< Val, SV >::back_insert_iterator , bm::sparse_vector< Val, BV >::back_insert_iterator , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::back_insert_iterator
- forget_count() : bm::bvector< Alloc >
- format : bm::chrono_taker
- found_ridx() : bm::xor_scanner< BV >
- free_bit_block() : bm::alloc_pool< BA, PA > , bm::mem_alloc< BA, PA, APool >
- free_gap_block() : bm::mem_alloc< BA, PA, APool >
- free_plain() : bm::base_sparse_vector< Val, BV, MAX_SIZE >
- free_pools() : bm::alloc_pool< BA, PA >
- free_ptr() : bm::mem_alloc< BA, PA, APool >
- free_rows() : bm::basic_bmatrix< BV >
- free_rs_index() : bm::bvps_addr_resolver< BV >
- freemem() : bm::sparse_vector_serial_layout< SV >
- func_ : bm::bit_vistor_copy_functor< BV > , bm::bit_vitor_callback_adaptor< VCBT, size_type >